using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFLabelMap : APTEntityBaseMap<T_PF_LABEL>
    {
		public override void Configure(EntityTypeBuilder<T_PF_LABEL> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.TABEL_NAME)
				.HasMaxLength(50);

			builder.Property(t => t.FIELD_NAME)
			   .HasMaxLength(64);

			builder.Property(t => t.LANGUAGE)
			   .HasMaxLength(64);

			builder.Property(t => t.LABEL)
			  .HasMaxLength(64);
		} 
    }
}
